# Method GL.glClearColor()

Method glClearColor

  ``void` glClearColor(`float`|`array`(`float`) `red`, `float`|`void` `green`, `float`|`void` `blue`, `float`|`void` `alpha`)`

Description

  glClearColor specifies the red, green, blue, and alpha values used by glClear to clear the color buffers. Values specified by glClearColor are clamped to the range [0,1].

Parameter `red`

  Specify the red, green, blue, and alpha values used when the color buffers are cleared. The initial values are all 0.

Throws

  GL_INVALID_OPERATION is generated if glClearColor is executed between the execution of glBegin and the corresponding execution of glEnd.